TEKTOOL(1)

NAME
tektool - SunView Tektronix 4014 terminal-emulator window

SYNOPSIS

tektool [ -s [ lcdeg [ ce ]m [ 12 ] ] [ - [ cr ] command-line ] [ -f fontdir ]

AVAILABILITY

This command is available with the software installation option. Refer to for information on how to install optional software.

DESCRIPTION

tektool emulates a Tektronix 4014 terminal with the enhanced graphics module. It does this in much the same way as shelltool (see shelltool(1)) emulates a regular glass tty. When tektool is invoked, a command (usually a shell) is started up, its output and input are connected to the emulator, and a new window is formed. The default window is the entire screen. When the emulator is running, keys TF(1) through TF(3), (usually function keys F1-F3 (see kbd(4S)) have special meaning.

TF (1)
    Unshifted, this is the 4014 PAGE button. Shifted, this is the 4014 RESET button.

TF (2)
    Copy screen. The raster image (<rasterfile.h>) of the 4014 screen is piped to a command found in the TEKCOPY environment variable. If TEKCOPY is not found in the environment, `lpr -v' is used. The copy button is unaffected by window manipulations, and will transmit the contents of the 4014 screen only.

TF (3)
    Release page full condition.

These functions are also available through the tool menu. When in graphics input (GIN) mode and the 4014 crosshairs are visible, the left hand mouse button may be used as the space bar to terminate GIN mode.

OPTIONS

-s  Specifies the Tektronix 4014 strap options with the following modifiers:

    l   Received LINEFEED characters also generate RETURN characters.
    c   Received RETURN characters also generate LINEFEED characters.
    d   Received DELETE characters are used as low order Y axis ( LOY ) addresses.
    e   Echo keyboard input.
    g   Graphic input mode (GIN) terminator specification. If this strap is followed by a c, GIN mode data is terminated by a RETURN character. If it is followed by a e, GIN mode data is terminated by a RETURN character followed by an EOT character. If this strap is not present, no characters are sent after GIN mode data.
    m   Page full control specification. If this strap is followed by a 1, tektool will stop accepting tty input when a LINEFEED character is done past the last line in margin 1. This is the 4014 page full condition. The page full condition it released by a PAGE or a RELEASE or any ASCII keyboard input. If this strap is followed by a 2, the page full condition happens at the end of margin 2. If this strap is not present, the page full condition never occurs.

        If the -s option is not given, the environment is searched for the TEKSTRAPS variable which provides the modifiers. The straps may also be set by the property sheet available by selecting the PROPS menu item. If no straps are specified the d strap is assumed.

-c command-line
    Take terminal emulator input from a shell which in turn runs the command-line following the -c option.

-f fontdir
    Look for fonts in the directory specified by fontdir. The fonts must be called tekfont0 through tekfont3. Fonts must be in vfont(5) format. If this option is not given, the font directory is obtained from the TEKFONTS environment variable (if it exists). If no font directory is specified, /usr/lib/fonts/tekfonts is used.

-r command-line
    Run command-line to provide input to the terminal emulator. This must be the last option, since the remainder of the arguments are used by the command.

FILES
/usr/lib/fonts/tekfonts/tekfont[0-3]

SEE ALSO

shelltool(1), sunview(1), kbd(4S), vfont(5)

BUGS

Special point plot mode is not supported.

Z-axis stuff, except for defocusing, is not supported.

Defocused alpha characters are not supported.

DIAGNOSTICS

copy command failed
    The copy command in the TEKCOPY environment variable or in the property sheet could not be executed.

WARNINGS

Like all 4014 emulators, this does not duplicate every nuance of the 4014. For instance, certain programs redraw stuff already on the screen in order to highlight things with the storage flash. This will not work here. Also, even though the emulator supports the full 4096 point addressing of the 4014, it cannot display this on the screen. All points will be rounded to the nearest available pixel. This may cause some funny effects.

The tektool window may be treated just like other windows; it can be overlaid, moved, reshaped etc. However, when the window is reshaped, the contents will not scale.